<template>
    <v-card class="ma-3">
        <v-form @submit.prevent="storeVote">
            <v-layout row justify-space-between>
                <v-flex fill-width>
                    <v-card-title primary-title>
                        <h3 class="headline mb-0">Lisa uus hääletus</h3>
                    </v-card-title>
                    <v-divider></v-divider>
                    <v-card-text>
                        <v-text-field
                                v-model="title"
                                label="Pealkiri"
                                ref="title"
                                :rules="[title.length >= 5 || 'Pealkiri peab olema vähemalt 5 tähemärki pikk.']"
                                single-line
                                solo
                        >

                        </v-text-field>
                        <v-textarea
                                v-model="description"
                                label="Kirjeldus"
                                solo
                        ></v-textarea>
                    </v-card-text>

                    <v-card-actions class="">
                        <v-btn color="blue" type="submit" class="white--text elevation-0">Salvesta</v-btn>
                        <v-btn color="red"  class="white--text elevation-0" @click="$emit('cancel')">Katkesta</v-btn>
                    </v-card-actions>
                </v-flex>
            </v-layout>
        </v-form>
    </v-card>
</template>

<script>

    export default {
        name: "AddVote",

        data() {
            return {
                title: '',
                description: '',
                isActive: false
            }
        },
        methods: {
            storeVote() {
                if(!this.$refs.title.validate())
                    return;

                this.$store.dispatch('voting/save', {
                    title: this.title,
                    description: this.description,
                    isActive: this.isActive
                })
                    .then(vote => {
                        this.$emit('onSave', vote);
                    });
            }
        }
    }
</script>

<style scoped>

</style>